Sprints API
List sprints
Section titled “List sprints”List all sprints for an account:
GET /sprintsResponse
Section titled “Response”Status: 200 OK[ { "id": 565, "sourceID": null, "number": 1, "created_at": "2022-08-29T06:00:00-05:00", "updated_at": "2022-09-12T04:00:00-05:00", "status": "completed", "start_at": "2022-08-29T11:00:00Z", "scrum_workspace": { "id": 1, "name": "Application Development", "nodeID": "..." }, "nodeID": "..." }, { "id": 566, "sourceID": null, "number": 2, "created_at": "2022-09-12T04:15:00-05:00", "updated_at": "2022-09-29T01:50:22-05:00", "status": "active", "start_at": "2022-09-12T09:15:00Z", "scrum_workspace": { "id": 1, "name": "Application Development", "nodeID": "..." }, "nodeID": "..." }, { "id": 567, "sourceID": null, "number": 3, "created_at": "2022-09-29T01:50:22-05:00", "updated_at": "2022-09-29T01:50:22-05:00", "status": "registered", "start_at": "2022-09-26T09:15:00Z", "scrum_workspace": { "id": 1, "name": "Application Development", "nodeID": "..." }, "nodeID": "..." }, { "id": 568, "sourceID": null, "number": 1, "created_at": "2022-10-06T03:31:10-05:00", "updated_at": "2022-10-06T03:31:10-05:00", "status": "registered", "start_at": null, "scrum_workspace": { "id": 2, "name": "Heavy Iron", "nodeID": "..." }, "nodeID": "..." }]The response contains these fields by default. Filtering and pagination are available to reduce/limit the collection of sprints.
Collection Fields
Section titled “Collection Fields”By default the following fields will appear in collections of sprints:
id
sourceID
number
created_at
updated_at
status
start_at
scrum_workspace
Obtain a different set of fields using the ?fields= parameter .
Filtering
Section titled “Filtering”Filtering is available for the following fields :
id
source
sourceID
created_at
updated_at
status
scrum_workspace
Sorting
Section titled “Sorting”By default a collection of sprints is sorted
ascending
by
created_at
.
The following fields are accepted by the ?sort= parameter :
id
sourceID
number
created_at
updated_at
start_at
Get a single sprint
Section titled “Get a single sprint”GET /sprints/:idResponse
Section titled “Response”Status: 200 OK{ "attachments": [], "created_at": "2022-10-06T03:31:10-05:00", "description": null, "end_at": null, "id": 568, "number": 1, "scrum_workspace": { "id": 2, "name": "Heavy Iron", "nodeID": "..." }, "source": null, "sourceID": null, "start_at": null, "status": "registered", "updated_at": "2022-10-06T03:31:10-05:00", "nodeID": "..."}The response contains these fields .
Create a sprint
Section titled “Create a sprint”POST /sprintsWhen creating a new sprint these fields are available.
Response
Section titled “Response”Status: 201 Created{ "created_at": "...", "...": "..."}The response contains all fields of the created sprint and is similar to the response in Get a single sprint
Update a sprint
Section titled “Update a sprint”PATCH /sprints/:idWhen updating a sprint these fields are available.
Response
Section titled “Response”Status: 200 OK{ "created_at": "...", "...": "..."}The response contains all fields of the updated sprint and is similar to the response in Get a single sprint
Fields
Section titled “Fields”attachments
Readonly aggregated Attachments
created_at
Readonly datetime — The date and time at which the sprint was created.
description
Optional text (max 64KB) — The description of this sprint (e.g. goal of this sprint).
description_attachments
Writeonly attachments The attachments used in the Description field.
end_at
Optional datetime — The date and time the sprint ended, or will end.
number
Required integer — Sequence number of this sprint.
id
Readonly integer — The unique ID of the sprint.
scrum_workspace
Readonly reference to Scrum Workspace — Scrum workspace this sprint belongs to.
source
Optional string (max 30) - See source
sourceID
Optional string (max 128) - See source
start_at
Optional datetime — The date and time the sprint started, or will start.
status
Readonly enum , — The current status of the sprint. Valid values are:
registered: Registeredactive: Activecompleted: Completed
updated_at
Readonly
datetime
— The date and time of the last update of the sprint. If the sprint has no updates it contains the
created_at
value.